/* EPITA S3 2014/2015         */
/* Controle 1 - November 2014 */
/* question02                 */

#define QNUM 2
#define QOPT "taille"
#define QNOPT 1

#include <unistd.h>
#include <stdlib.h>
#include <stdio.h>
#include "base_test.h"
#include "question02.h"

void fixed_test(size_t len) {
  printf("Fixed tests:\n");
  for (unsigned long i = 0; i < len; ++i) {
    printf("fibo(%lu) = %lu\n", i, fibo(i));
  }
}

int main(int argc,char *argv[])
{
  size_t        size;

  help_asked(argc,argv,QNUM,QOPT,QNOPT);

  if (argc <= QNOPT)
    {
      fprintf(stderr, "Parametres insuffisants.\n");
      usage(NULL,QNUM,QOPT);
    }
  else
    {
      size = strtol(argv[1], NULL, 10);
      fixed_test(size);
    }
  exit(0);
}
