/* EPITA S3 2014/2015         */
/* Controle 1 - November 2014 */
/* question03                 */

#define QNUM 3
#define QOPT "graine taille"
#define QNOPT 2

#include <unistd.h>
#include <stdlib.h>
#include <stdio.h>
#include "base_test.h"
#include "question03.h"


int main(int argc,char *argv[])
{
  size_t        size;
  unsigned long n;

  help_asked(argc,argv,QNUM,QOPT,QNOPT);

  if (argc <= QNOPT)
    {
      fprintf(stderr, "Parametres insuffisants.\n");
      usage(NULL,QNUM,QOPT);
    }
  else
    {
      seedInit(argv);
      size = getSize(argv);
      for (;size; size--)
	{
	  n = random()%15;
	  printf("fact(%02lu) = %lu\n", n, fact(n));
	}
    }
  exit(0);
}
