/* EPITA S3 2014/2015         */
/* Controle 1 - November 2014 */
/* question11                 */

#define QNUM 11
#define QOPT "graine taille"
#define QNOPT 2

#include <unistd.h>
#include <stdlib.h>
#include <stdio.h>
#include "base_test.h"
#include "question11.h"

void print_array(int tab[], size_t len) {
  int           line;
  line = printf("tab = ");
  for (int *cur = tab; cur != tab + len; ++cur) {
    if (line > 72) {
      line = printf("|\n      ") - 1;
    }
    line += printf("| %02d ", *cur);
  }
  printf("|\n");
}

void build_array(int tab[], size_t len) {
  for (int *cur = tab; cur != tab + len; ++cur) {
    *cur = random()%100;
  }
}

void rand_test(size_t len) {
  int          *tab;
  tab = malloc(len * sizeof (int));
  build_array(tab, len);
  printf("Before sort:\n");
  print_array(tab, len);
  select_sort(tab, len);
  printf("After sort:\n");
  print_array(tab, len);
}

int main(int argc,char *argv[]) {
  size_t        size;

  help_asked(argc,argv,QNUM,QOPT,QNOPT);

  if (argc <= QNOPT) {
    fprintf(stderr, "Parametres insuffisants.\n");
    usage(NULL,QNUM,QOPT);
  }
  else {
    seedInit(argv);
    size = getSize(argv);
    rand_test(size);
  }
  exit(0);
}
