/* EPITA S3 2014/2015         */
/* Controle 1 - November 2014 */
/* question05                 */

#define QNUM 5
#define QOPT "graine taille"
#define QNOPT 2

#include <unistd.h>
#include <stdlib.h>
#include <stdio.h>
#include "base_test.h"
#include "question05.h"


int main(int argc,char *argv[]) {
  size_t        size;
  unsigned      n;

  help_asked(argc,argv,QNUM,QOPT,QNOPT);

  if (argc <= QNOPT) {
    fprintf(stderr, "Parametres insuffisants.\n");
    usage(NULL,QNUM,QOPT);
  } else {
    seedInit(argv);
    size = getSize(argv);
    for (;size; size--)	{
      n = (unsigned)(2 + random());
      unsigned    r = int_sqrt(n);
      printf("int_sqrt(%02u) = %u (%s)\n", n, r,
             check(r*r <= n && (r+1)*(r+1) > n));
    }
  }
  exit(0);
}
